#
# spec file for package python-infinity
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-infinity
Version:        1.3
Release:        1.1
Summary:        All-in-one infinity value for Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kvesteri/infinity
Source:         https://pypi.python.org/packages/source/i/infinity/infinity-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pytest >= 2.2.2
BuildRequires:  python-six >= 1.4.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
All-in-one infinity value for Python. Can be compared to any object.

%prep
%setup -q -n infinity-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
mkdir tests
pushd tests
PYTHONPATH="%{buildroot}%{python_sitelib}" python -B ../test_infinity.py
popd

%files
%defattr(-,root,root,-)
%doc CHANGES.rst LICENSE README.md
%{python_sitelib}/*

%changelog
* Fri Sep 19 2014 toddrme2178@gmail.com
- Initial version
